DocumentationTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.doc.DocumentationTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.doc
Class DocumentationTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.doc.DocumentationTagsHandler

public class DocumentationTagsHandler
extends XDocletTagSupport

Version:
  $Revision: 1.6 $
Author:
  Ara Abrahamian (ara_e@email.com)
xdoclet.taghandler
  namespace="Doc"
created
  Nov 30, 2001

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`DocumentationTagsHandler()`

Method Summary
`String` | `currentNamespace()` Returns current namespace.
`String` | `currentNamespaceTagsHandlerClassName()` Returns current namespace tags handler class name.
`String` | `currentNamespaceTagsHandlerClassNameAsDirStructure()` Returns current namespace name.
`void` | `forAllNamespaces(String template)` Iterates over all template namespaces registered in /tagmappings.properties file and evaluates the body of the tag for each namespace.
`String` | `namespace()` Returns current namespace name.
`String` | `namespaceFromClassName()` Returns current namespace name from current class name.
`String` | `namespaceTagsHandlerClassName()` Returns current namespace tags handler class name.

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentationTagsHandler

    public DocumentationTagsHandler()

Method Detail

### forAllNamespaces

    public void forAllNamespaces(String template)
                          throws XDocletException

  Iterates over all template namespaces registered in /tagmappings.properties file and evaluates the body of the tag for each namespace.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="block"

### namespace

    public String namespace()
                     throws XDocletException

  Returns current namespace name. Use inside forAllNamespaces only.

  Returns:
    Current namespace name
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="content"

### namespaceTagsHandlerClassName

    public String namespaceTagsHandlerClassName()
                                         throws XDocletException

  Returns current namespace tags handler class name. Use inside forAllNamespaces only.

  Returns:
    Current namespace tags handler class name
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="content"

### namespaceFromClassName

    public String namespaceFromClassName()
                                  throws XDocletException

  Returns current namespace name from current class name.

  Returns:
    Current namespace tags handler class name
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="content"

### currentNamespace

    public String currentNamespace()
                            throws XDocletException

  Returns current namespace. Used for tags_toc.xdt.

  Returns:
    Current namespace tags handler class name
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="content"

### currentNamespaceTagsHandlerClassName

    public String currentNamespaceTagsHandlerClassName()
                                                throws XDocletException

  Returns current namespace tags handler class name. Used for .html files.

  Returns:
    Current namespace name
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="content"
  doc.param
    name="namespace" optional="false" description="The namespace name we lookup the handler."

### currentNamespaceTagsHandlerClassNameAsDirStructure

    public String currentNamespaceTagsHandlerClassNameAsDirStructure()
                                                              throws XDocletException

  Returns current namespace name. Use inside forAllNamespaces only.

  Returns:
    Current namespace name
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="content"
  doc.param
    name="namespace" optional="false" description="The namespace name we lookup the handler."

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD